--
-- Adds specializations to specific mods.
--
--
-- @edit:    	PeterJ
-- @version:	v2.0
-- @date:       2018-03-30
--
--

addExtraSpec = {};

addModEventListener(addExtraSpec);

function addExtraSpec:loadMap(name)
	for k, v in pairs(VehicleTypeUtil.vehicleTypes) do
		if k == "FS17_MasseyFerguson300series.tractor_PeterJ" then
			table.insert(v.specializations, SpecializationUtil.getSpecialization("InteractiveControl"));
			table.insert(v.specializations, SpecializationUtil.getSpecialization("InteractiveWindows"));
			table.insert(v.specializations, SpecializationUtil.getSpecialization("DynamicHoseRef"));
			table.insert(v.specializations, SpecializationUtil.getSpecialization("TractorAnim_PeterJ"));
			print("Extra scripts inserted on " .. k);
		end;
	end;
end;

function addExtraSpec:deleteMap()
end;

function addExtraSpec:mouseEvent(posX, posY, isDown, isUp, button)
end;

function addExtraSpec:keyEvent(unicode, sym, modifier, isDown)
end;

function addExtraSpec:update(dt)
end;

function addExtraSpec:draw()
end;
